<?php
namespace Teknisa\DF\Factories;

use Doctrine\ORM\EntityManager;

class Ger10200ParametrosGrupoFiscalFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function changeFornecedor($params) {
        $sql = "UPDATE FORNECEDOR SET CDGRUPOFISC = :CDGRUPOFISC";

        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }

    public function changeCliente($params) {
        $sql = "UPDATE CLIENTE  SET CDGRUPOFISC = :CDGRUPOFISC";

        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
    
    public function changeFilial($params) {
        $sql = "UPDATE FILIAL  SET CDGRUPOFISC = :CDGRUPOFISC";

        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
    
    public function changeTipooperac($params) {
        $sql = "UPDATE TIPOOPERAC  SET CDGRUPOFISC = :CDGRUPOFISC";

        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
    
    public function changeTpfaturfis ($params) {
        $sql = "UPDATE TPFATURFIS  SET CDGRUPOFISC = :CDGRUPOFISC";

        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
}
