<?php

namespace Teknisa\DF\Modules\Entrada\Services;

class Dfe43000ParametrosPorFornecedorService{
    
    protected $dataSourceManager;
    
    public function __construct($environment, $entityManager, $dataSourceManager){
        $this->entityManager = $entityManager;
        $this->environment = $environment;
        $this->dataSourceManager = $dataSourceManager;
    }
    
    public function buscar($condicao){
        return $this->dataSourceManager->findBy($condicao);
    }
    
    public function getFranqueadora() {
  
        $query = "SELECT CDFILIAL FROM FILIAL WHERE IDFUNCAOFILI = 'F'";
        
        $std = $this->entityManager->getConnection()->prepare($query);
        try {
            $std->execute();
            $existe = $std->fetch();
            if(isset($existe["CDFILIAL"])) {
             return $existe["CDFILIAL"];   
            }
            else return false;
        }
        catch(\Exception $e) {
            return false;    
        }
    }
}